![Mountains Pack 1](https://i.imgur.com/BvdATdc.png)

# Mountains Pack 1
This mod adds a 9 new custom locations to the Mountains biome. All locations were made using vanilla build pieces and designed to fit Valheim lore. In order to encourage exploration, the locations spawn at varying distances from world center. Part of the More World Locations series, see below for more details.

## Features
- Adds 9 new custom locations the Mountains biome.
- Locations spawn at varying distances from world center, see 'World Rings System' below.
- Configurability: Location spawn quantities, location creatures, location loot. See below for instructions.

## Location Details
See this spreadsheet for all More World Locations data: 
[More World Locations data](https://docs.google.com/spreadsheets/d/e/2PACX-1vSbNSeAwhSzd6uuX9X3rt6AnKgmGGW-A658htUk8yxZUUvMgRVS3LIqnvbh1rb4ofqK49HYn35r_mQE/pubhtml#)

## World Rings System
The Valheim world is a circle with a default radius of 10,500 meters. In order to encourage and maintain exploration, I've defined a set of world rings that all locations in the More World Locations series will use when spawning in a world. Below are the defined world rings...

| Ring # | Start Distance (m) | End Distance (m) |
|--------|---------------------|------------------|
| Ring 1 | 0                   | 500              |
| Ring 2 | 500                 | 2000             |
| Ring 3 | 1500                | 3000             |
| Ring 4 | 2500                | 4000             |
| Ring 5 | 3500                | 6000             |
| Ring 6 | 4500                | 8500             |
| Ring 7 | 5000                | 10500            |

## Instructions
- To add these locations to a non-existing world, no action is required. Ensure the mod is installed and create a new world.
- To add these locations to an existing world, install the mod the [Upgrade World](https://valheim.thunderstore.io/package/JereKuusela/Upgrade_World/). Then load into your existing world and paste this command in console. Note, you must have access to the console either via enabling it via Steam or using a mod.

Command: `locations_add MWL_StoneCastle1, MWL_StoneFort1, MWL_StoneHall1, MWL_StoneTavern1, MWL_StoneTower1, MWL_StoneTower2, MWL_WoodBarn1, MWL_WoodFarm1, MWL_WoodHouse1 start`

## Custom Creature Spawns and Loot Lists
The creatures and loot are all customizable. Modded creatures and items are supported. To customize, create a new YAML file in the BepinEx configuration folder. If using mod manager, then use the BepinEx config folder in your profile folder. All mods from the More World Locations series will share the same Yaml file so you only need to create it once.

For creatures, each instance of the location will randomly select from the list of creatures in the the file. First, it will pick a random index (an item in the list), then it will increment through the list, assigning creatures to available creature spawners until each creature spawner has a creature. For the best results, scatter higher tier creatures throughout the list. You must use the creature's prefab name and not it's in-game name. See here for a list of vanilla creature prefab names: [Creatures List](https://valheim-modding.github.io/Jotunn/data/prefabs/character-list.html)

For loot, the chests will randomly select items from the list.

Creature file name: `warpalicious.More_World_Locations_CreatureLists.yml`
Creature file structure:
```
MountainsCreatures1:
  - Skeleton
  - Skeleton
  - Skeleton
  - Skeleton
  - Skeleton_Poison
  - Skeleton
  - Skeleton
  - Skeleton
MountainsCreatures2:
  - Draugr
  - Draugr
  - Draugr
  - Draugr
  - Draugr_Elite
  - Draugr
  - Draugr
  - Draugr
  - Draugr
  - Draugr
  - Draugr_Elite
  - Draugr
  - Draugr
MountainsCreatures3:
  - StoneGolem
  - StoneGolem
MountainsCreatures4:
  - Ulv
  - Ulv
  - Ulv
  - Ulv
  - Fenring
  - Ulv
  - Ulv
  - Ulv
  - Fenring_Cultist
  - Ulv
  - Ulv
  - Ulv
  - Ulv
  - Fenring
  - Fenring
```

Loot file name: `warpalicious.More_World_Locations_LootLists.yml`
Loot file structure:
```
MountainsLoot1:
  - OnionSeeds
  - SurtlingCore
  - Bronze
  - AmberPearl
  - WolfPelt
  - Crystal
```

## More World Locations
The goal of the More World Locations series is to solve Valheims exploration problem. Valheim has a giant map but relatively few points of interest (POI) to find. Once a player learns that each biome is just a copy of what they've already seen, exploring the rest of the map feels unnecessary. The More World Locations series will fix this problem by adding dozens of handcrafted, unique, and interesting POIs to the Valheim world.

## Credit & Thanks
I greatly appreciate all the other mod developers that helped me while buidling the More World Locations series! If you're someone that's interested in making mods, I encourage you to try it out!

All the locations used in this mod were created by Valheim community members. If you're a Valheim builder and have some cool locations to share for a future More World Locations mod, please reach out on Discord!

| Location | Creator |
|--------|---------------------|
| MWL_StoneCastle1 | H1lli               |
| MWL_StoneFort1 | H1lli               |
| MWL_StoneHall1 | H1lli               |
| MWL_StoneTavern1 | H1lli                |
| MWL_StoneTower1 | H1lli                |
| MWL_StoneTower2 | H1lli                |
| MWL_WoodBarn1 | H1lli           |
| MWL_WoodFarm1 | H1lli           |
| MWL_WoodHouse1 | H1lli           |

## Hardcore Modded Server
If you're looking for a dedicated server with hardcore difficulty to play on and try out my mods, join us at Praetoria. We welcome solo players as well as group play.
- [Modpack](https://thunderstore.io/c/valheim/p/warpalicious/Praetoris/)
- [Disord invite](https://discord.gg/cK6EnGYhru)

## Donations/Tips
I make mods because I enjoy it and want to make Valheim more enjoyable for everyone. If you feel like saying thanks you can tip me here.

| My Ko-fi: | [![ko-fi](https://ko-fi.com/img/githubbutton_sm.svg)](https://ko-fi.com/warpalicious) |
|-----------|---------------|

## Source Code
Source code is available on Github.

| Github Repository: | <img height="18" src="https://github.githubassets.com/favicons/favicon-dark.svg"></img><a href="https://github.com/jneb802/MoreWorldLocations_All"> MoreWorldLocations</a> |
|-----------|---------------|
